%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name TimeDate 

Summary: perl5 TimeDate
Name: perl-%{real_name}
Version: 1.16
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/%{real_name}/

Source: http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
This is the perl5 TimeDate distribution. It requires perl version 5.003
or later

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
#%doc Changes README
%doc README
%doc %{_mandir}/man3/*
# %{perl_vendorlib} is /usr/lib/perl5/vendor_perl/5.8.5
%{perl_vendorlib}/Date/Format.pm
%{perl_vendorlib}/Date/Language.pm
%{perl_vendorlib}/Date/Language/Afar.pm
%{perl_vendorlib}/Date/Language/Amharic.pm
%{perl_vendorlib}/Date/Language/Austrian.pm
%{perl_vendorlib}/Date/Language/Brazilian.pm
%{perl_vendorlib}/Date/Language/Chinese_GB.pm
%{perl_vendorlib}/Date/Language/Czech.pm
%{perl_vendorlib}/Date/Language/Danish.pm
%{perl_vendorlib}/Date/Language/Dutch.pm
%{perl_vendorlib}/Date/Language/English.pm
%{perl_vendorlib}/Date/Language/Finnish.pm
%{perl_vendorlib}/Date/Language/French.pm
%{perl_vendorlib}/Date/Language/Gedeo.pm
%{perl_vendorlib}/Date/Language/German.pm
%{perl_vendorlib}/Date/Language/Greek.pm
%{perl_vendorlib}/Date/Language/Italian.pm
%{perl_vendorlib}/Date/Language/Norwegian.pm
%{perl_vendorlib}/Date/Language/Oromo.pm
%{perl_vendorlib}/Date/Language/Sidama.pm
%{perl_vendorlib}/Date/Language/Somali.pm
%{perl_vendorlib}/Date/Language/Swedish.pm
%{perl_vendorlib}/Date/Language/Tigrinya.pm
%{perl_vendorlib}/Date/Language/TigrinyaEritrean.pm
%{perl_vendorlib}/Date/Language/TigrinyaEthiopian.pm
%{perl_vendorlib}/Date/Parse.pm
%{perl_vendorlib}/Time/Zone.pm

%changelog
* Sat Oct  7 2006 Johnny Hughes <johnny@centos.org> - 1.16-1.c4
- built for c4 extras
